Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.factory
Class JNDIResourceFactory

    java.lang.Object
      org.jboss.management.j2ee.factory.JNDIResourceFactory

All Implemented Interfaces:
  ManagedObjectFactory

public class JNDIResourceFactory
extends Object
implements ManagedObjectFactory

A factory for JNDIResource managed objects

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`JNDIResourceFactory()`

Method Summary
`javax.management.ObjectName` | `create(javax.management.MBeanServer server, Object data)` Creates a JNDIResource given an MBeanServerNotification
`void` | `destroy(javax.management.MBeanServer server, Object data)` Creates a JNDIResource given an MBeanServerNotification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIResourceFactory

    public JNDIResourceFactory()

Method Detail

### create

    public javax.management.ObjectName create(javax.management.MBeanServer server,
                                              Object data)

  Creates a JNDIResource given an MBeanServerNotification

  Specified by:
    `create` in interface `ManagedObjectFactory`
  Parameters:
    `server` -
    `data` - A MBeanServerNotification
  Returns:
    the JNDIResource ObjectName

### destroy

    public void destroy(javax.management.MBeanServer server,
                        Object data)

  Creates a JNDIResource given an MBeanServerNotification

  Specified by:
    `destroy` in interface `ManagedObjectFactory`
  Parameters:
    `server` -
    `data` - A MBeanServerNotification
  Returns:
    the JNDIResource ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.